Get Salt by ID
Get a single Salt by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
salt_id
ID of the Salt.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
calculatedMolecularWeight
The molecular weight of the salt.
canonicalSmiles
The SMILES representation of the salt after standardization.
code
Optional configurable identifier for this salt (e.g., “HCl”, “MS”). Unique across both salts and solvents within a tenant.
createdAt
id
modifiedAt
molecularFormula
The molecular formula (e.g., “HCl”).
molfile
The molfile representation of the salt.
name
Errors
400
Salt Get Request Bad Request Error
403
Salt Get Request Forbidden Error
404
Salt Get Request Not Found Error
429
Salt Get Request Too Many Requests Error
500
Salt Get Request Internal Server Error